Bug 174172 - audio/xhippo: Update to version 3.5
Summary: audio/xhippo: Update to version 3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-01-21 03:45 UTC (History)
0 users

See Also:


Attachments
file.diff (3.25 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:04 UTC
- Update to version 3.5
Comment 1 Marcelo Araujo freebsd_committer 2012-12-11 11:15:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-01-21 03:37:07 UTC
Author: araujo
Date: Mon Jan 21 03:36:53 2013
New Revision: 310743
URL: http://svnweb.freebsd.org/changeset/ports/310743

Log:
  - Update to 3.5.
  - Update MASTER_SITES.
  - Trim header.
  - Add LICENSE.
  
  PR:		ports/174172
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/xhippo/Makefile   (contents, props changed)
  head/audio/xhippo/distinfo   (contents, props changed)
  head/audio/xhippo/pkg-plist   (contents, props changed)

Modified: head/audio/xhippo/Makefile
==============================================================================
--- head/audio/xhippo/Makefile	Mon Jan 21 03:35:52 2013	(r310742)
+++ head/audio/xhippo/Makefile	Mon Jan 21 03:36:53 2013	(r310743)
@@ -1,51 +1,43 @@
-# New ports collection makefile for:	xhippo
-# Date created:				16 March 1999
-# Whom:					Rod Taylor <rod@zort.on.ca>
-#
+# Created by: Rod Taylor <rod@zort.on.ca>
 # $FreeBSD$
-#
 
 PORTNAME=	xhippo
-PORTVERSION=	3.3
-PORTREVISION=	5
+PORTVERSION=	3.5
 CATEGORIES=	audio
-MASTER_SITES=	${MASTER_SITE_GNU}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	GNU
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Generic music player for UNIX systems
 
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	id3tag:${PORTSDIR}/audio/libid3tag
 RUN_DEPENDS=	mpg123:${PORTSDIR}/audio/mpg123
 
+USE_GNOME=	gtk20
 USE_GETTEXT=	yes
-USE_GNOME=	gtk12
-WANT_GNOME=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-gtk2
+MAKE_JOBS_SAFE=	yes
 
-DOCS=		ChangeLog gnu-xhippo.html screenshot.jpeg xhippo.html.gz \
-		xhippo.info.gz xhippo.ps.gz xhippo.sgml xhippo.txt.gz
-
-MAN1=	xhippo.1
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-.include <bsd.port.pre.mk>
+MAN1=		xhippo.1
+INFO=		xhippo
 
-.if ${HAVE_GNOME:Mgnomelibs}!=""
-USE_GNOME+=	gnomelibs
-PKGNAMESUFFIX=	-gnome
-CONFIGURE_ARGS+=	--with-gnome
-.endif
+post-extract:
+	@${LN} -sf xhippo.config ${WRKSRC}/xhippo.config.default
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/^sysconf_DATA/s|=.*|= xhippo.config.default|' \
+		${WRKSRC}/Makefile.in 
 
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-.for i in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/doc/${i} ${DOCSDIR}
-.endfor
-.endif
-	${INSTALL_DATA} ${WRKSRC}/xhippo.config ${PREFIX}/etc/xhippo.config.default
 .if !exists(${PREFIX}/etc/xhippo.config)
-	${CP} ${PREFIX}/etc/xhippo.config.default ${PREFIX}/etc/xhippo.config
+	(cd ${PREFIX}/etc && ${CP} xhippo.config.default xhippo.config)
 .endif
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/audio/xhippo/distinfo
==============================================================================
--- head/audio/xhippo/distinfo	Mon Jan 21 03:35:52 2013	(r310742)
+++ head/audio/xhippo/distinfo	Mon Jan 21 03:36:53 2013	(r310743)
@@ -1,2 +1,2 @@
-SHA256 (xhippo-3.3.tar.gz) = 8e21f81e1e2387b36c9d1f3318d3b57d89e43a79840d2f9c13c9925f9c65e761
-SIZE (xhippo-3.3.tar.gz) = 417111
+SHA256 (xhippo-3.5.tar.gz) = 05dd24b55ff9fe45191a571493e83740269ee4bd48b58fbd85b1b5dc98f16c6e
+SIZE (xhippo-3.5.tar.gz) = 304142

Modified: head/audio/xhippo/pkg-plist
==============================================================================
--- head/audio/xhippo/pkg-plist	Mon Jan 21 03:35:52 2013	(r310742)
+++ head/audio/xhippo/pkg-plist	Mon Jan 21 03:36:53 2013	(r310743)
@@ -2,13 +2,4 @@ bin/xhippo
 @unexec if cmp -s %D/etc/xhippo.config %D/etc/xhippo.config.default; then rm -f %D/etc/xhippo.config; fi
 etc/xhippo.config.default
 @exec test -f %B/xhippo.config || cp %B/%f %B/xhippo.config
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/gnu-xhippo.html
-%%PORTDOCS%%%%DOCSDIR%%/screenshot.jpeg
-%%PORTDOCS%%%%DOCSDIR%%/xhippo.html.gz
-%%PORTDOCS%%%%DOCSDIR%%/xhippo.info.gz
-%%PORTDOCS%%%%DOCSDIR%%/xhippo.ps.gz
-%%PORTDOCS%%%%DOCSDIR%%/xhippo.sgml
-%%PORTDOCS%%%%DOCSDIR%%/xhippo.txt.gz
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 share/locale/de/LC_MESSAGES/xhippo.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Marcelo Araujo freebsd_committer 2013-01-21 03:45:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!